Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml
Interface ExecutionContext

All Known Implementing Classes:
  ExecutionContextImpl

    public interface ExecutionContext

The execution context interface groups the details needed by the execution engine to execute a transformation.

Since:
  2.0

Method Summary
`java.lang.Object` | `getConfigProperty(java.lang.String name)` Get the value of the specified configuration property which was set to this context.
`java.util.Set<java.lang.String>` | `getConfigPropertyNames()` Gets read-only view of the names of the configuration properties that are set in this context
`Log` | `getLog()` Gets the logger implementation assigned to this context.
`EvaluationMonitor` | `getMonitor()` Gets the evaluation monitor assigned to this context.

Method Detail

### getConfigPropertyNames

    java.util.Set<java.lang.String> getConfigPropertyNames()

  Gets read-only view of the names of the configuration properties that are set in this context

  Returns:
    set of the name strings in undefined order

### getConfigProperty

    java.lang.Object getConfigProperty(java.lang.String name)

  Get the value of the specified configuration property which was set to this context.

  Parameters:
    `name` - the name of the configuration property
  Returns:
    the value assigned to the queried property. Remark: It's possible that `null` is returned in the following cases:
    - no property of the given name has been set
    - `null` value has been explicitly set
    The client can distinguish the cases above by using `getConfigPropertyNames()`

### getLog

    Log getLog()

  Gets the logger implementation assigned to this context.

  Returns:
    the logger instance, never `null`

### getMonitor

    EvaluationMonitor getMonitor()

  Gets the evaluation monitor assigned to this context. The execution engine will query the monitor the check for the user interruption request.

  Returns:
    the monitor implementation, never `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD